summaryrefslogtreecommitdiff
path: root/package/atftp/ipkg
diff options
context:
space:
mode:
Diffstat (limited to 'package/atftp/ipkg')
-rw-r--r--package/atftp/ipkg/atftp.control5
-rw-r--r--package/atftp/ipkg/atftpd.control5
-rwxr-xr-xpackage/atftp/ipkg/files/postinst8
3 files changed, 18 insertions, 0 deletions
diff --git a/package/atftp/ipkg/atftp.control b/package/atftp/ipkg/atftp.control
new file mode 100644
index 000000000..83b1858c4
--- /dev/null
+++ b/package/atftp/ipkg/atftp.control
@@ -0,0 +1,5 @@
+Package: atftp
+Priority: optional
+Section: net
+Description: tftp client
+Depends: libreadline, libncurses
diff --git a/package/atftp/ipkg/atftpd.control b/package/atftp/ipkg/atftpd.control
new file mode 100644
index 000000000..94f49f3f7
--- /dev/null
+++ b/package/atftp/ipkg/atftpd.control
@@ -0,0 +1,5 @@
+Package: atftpd
+Priority: optional
+Section: net
+Description: tftp server
+Depends: libreadline, libpcre
diff --git a/package/atftp/ipkg/files/postinst b/package/atftp/ipkg/files/postinst
new file mode 100755
index 000000000..35a2c3b36
--- /dev/null
+++ b/package/atftp/ipkg/files/postinst
@@ -0,0 +1,8 @@
+#!/usr/bin/env mksh
+grep -q '^tftp[[:space:]]*69/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "tftp 69/tcp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp 69/udp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp-mcast 1758/tcp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp-mcast 1758/udp" >>${IPKG_INSTROOT}/etc/services
+fi